## Fiddle

Some fiddles for you to play... Some are bundled with the code, scroll below the method arguments to see the example code. They all use the `dwv` prefix since the example are run in a pure javascript environment. This is not necessary in an es6 environment where you use the names defined when you import the classes.

DICOM parsing:
 * [parser example #1](./DicomParser.html#DicomParser): parse DICOM data and display a tag

DICOM writing:
 * [writer example #1](./DicomWriter.html#DicomWriter): parse DICOM data and write it back

Image creation:
 * [image example #1](./Image.html#Image): parse DICOM data and create an image

Displays:
 * [display example #1](./App.html#App) ([gist](https://gist.github.com/ivmartel/7415ca9b21209e83b5e713d838529795)): the simplest DICOM display example!
 * [display example #1.1](https://jsfiddle.net/ivmartel/jkcmj0px/): any number of displays you want (_jsfiddle_)
 * [display example #1.2](./App.html#init): manual render
 * [display example #2](./WindowLevel.html#WindowLevel): with window/level
 * [display example #2.1](https://jsfiddle.net/ivmartel/fugw49be/): with draw tool (_jsfiddle_)
 * [display example #2.2](./ZoomAndPan.html#ZoomAndPan): with zoom and pan
 * [display example #2.3](./Opacity.html#Opacity): with opacity
 * [display example #3](./Scroll.html#Scroll): with multiple slices with or without a slider

All the ones of jsfiddle: [ivmartel/fiddles](https://jsfiddle.net/user/ivmartel/fiddles/).

## Module

DICOM parsing using node:
 * [parser example #1](https://runkit.com/ivmartel/runkit-npm-dwv-parse-ex-1): parse DICOM data and display a tag.

## Viewers and integrations

 * [dwv-simplistic](https://github.com/ivmartel/dwv-simplistic): raw HTML viewer with no dependencies ([demo](https://ivmartel.github.io/dwv-simplistic/))
 * [dwv-jqui](https://github.com/ivmartel/dwv-jqui): integration with jQuery UI ([demo](https://ivmartel.github.io/dwv-jqui/))
 * [dwv-jqmobile](https://github.com/ivmartel/dwv-jqmobile): integration with jQuery Mobile ([demo](https://ivmartel.github.io/dwv-jqmobile/))
 * [dwv-angular](https://github.com/ivmartel/dwv-angular): integration with Angular ([demo](https://ivmartel.github.io/dwv-angular/))
 * [dwv-react](https://github.com/ivmartel/dwv-react): integration with React ([demo](https://ivmartel.github.io/dwv-react/))
 * [dwv-vue](https://github.com/ivmartel/dwv-vue): integration with Vue.js ([demo](https://ivmartel.github.io/dwv-vue/))
